<?php

class LoginForm extends CFormModel
{
	public $username;
	public $password;
	public $rememberMe;
	private $_identity;

	public function rules()
	{
		return array(
			array('username', 'required',"message"=>"Ingrese su usuario"),
                        array('password','required',"message"=>"Ingrese su contraseña"),
			array('password', 'authenticate'),
		);
	}
        
	public function attributeLabels()
	{
		return array(
			'rememberMe'=>'Remember me next time',
                        'password'=>' CONTRASEÑA',
                        'username'=>' USUARIO'
                    
		);
	}
        
	public function authenticate($attribute,$params)
	{
		if(!$this->hasErrors())
		{
			$this->_identity=new UserIdentity($this->username,$this->password);
			if(!$this->_identity->authenticate())
				$this->addError('password','Error en usuario o contraseña.');
		}
	}
        
	public function login()
	{
		if($this->_identity===null)
		{
			$this->_identity=new UserIdentity($this->username,$this->password);
			$this->_identity->authenticate();
		}
		if($this->_identity->errorCode===UserIdentity::ERROR_NONE)
		{
			$duration=$this->rememberMe ? 3600*24*30 : 0;
			//$duration=3600*24*30;

			Yii::app()->user->login($this->_identity,$duration);
			return true;
		}
		else
			return false;
	}
}